#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
%bcond_without	cython		# build with Cython based Python bindings
%bcond_without	openssl		# build with openssl for SSL support
%bcond_with	gnutls		# build with GnuTLS for SSL support

%if %{with gnutls}
%undefine	with_openssl
%endif

Summary:	Library for connecting to mobile devices
Summary(pl.UTF-8):	Biblioteka do łączenia się z urządzeniami mobilnymi
Name:		libimobiledevice
# 1.2.x is stable
Version:	1.2.0
Release:	2
License:	LGPL v2+
Group:		Libraries
#Source0Download: http://www.libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	8757900ba7bbe2ef5f54342415d0223e
Patch0:		%{name}-cython.patch
URL:		http://www.libimobiledevice.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake
%{?with_gnutls:BuildRequires:	gnutls-devel >= 2.2.0}
BuildRequires:	libgcrypt-devel
BuildRequires:	libplist-devel >= 1.11
BuildRequires:	libplist-c++-devel >= 1.11
BuildRequires:	libstdc++-devel
%{?with_gnutls:BuildRequires:	libtasn1-devel >= 1.1}
BuildRequires:	libtool
BuildRequires:	libusbmuxd-devel >= 1.0.9
%{?with_openssl:BuildRequires:	openssl-devel >= 0.9.8}
BuildRequires:	pkgconfig
%if %{with cython}
BuildRequires:	python-Cython >= 0.17.0
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules >= 1:2.3
BuildRequires:	python-plist-devel >= 1.11
BuildRequires:	rpm-pythonprov
%endif
Requires:	libplist >= 1.11
Requires:	libplist-c++ >= 1.11
Requires:	libusbmuxd >= 1.0.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libimobiledevice is a library for connecting to mobile devices.

%description -l pl.UTF-8
libimobiledevice jest biblioteką do łączenia się z urządzeniami
mobilnymi.

%package devel
Summary:	Header files for libimobiledevice library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libimobiledevice
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_gnutls:Requires:	gnutls-devel >= 2.2.0}
Requires:	libplist-devel >= 1.11
Requires:	libplist-c++-devel >= 1.11
%{?with_gnutls:Requires:	libtasn1-devel >= 1.1}
Requires:	libusbmuxd-devel >= 1.0.9
%{?with_openssl:Requires:	openssl-devel >= 0.9.8}

%description devel
Header files for libimobiledevice library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libimobiledevice.

%package static
Summary:	Static libimobiledevice library
Summary(pl.UTF-8):	Statyczna biblioteka libimobiledevice
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libimobiledevice library.

%description static -l pl.UTF-8
Statyczna biblioteka libimobiledevice.

%package apidocs
Summary:	API documentation for libimobiledevice library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libimobiledevice
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for libimobiledevice library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libimobiledevice.

%package -n python-imobiledevice
Summary:	libimobiledevice Python bindings
Summary(pl.UTF-8):	Wiązania libimobiledevice dla Pythona
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-plist >= 1.11

%description -n python-imobiledevice
libimobiledevice Python bindings.

%description -n python-imobiledevice -l pl.UTF-8
Wiązania libimobiledevice dla Pythona.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	%{!?with_cython:--without-cython} \
	%{!?with_openssl:--disable-openssl} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%if %{with cython}
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/*.la \
	%{?with_static_libs:$RPM_BUILD_ROOT%{py_sitedir}/*.a}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/idevice_id
%attr(755,root,root) %{_bindir}/idevicebackup
%attr(755,root,root) %{_bindir}/idevicebackup2
%attr(755,root,root) %{_bindir}/idevicecrashreport
%attr(755,root,root) %{_bindir}/idevicedate
%attr(755,root,root) %{_bindir}/idevicedebug
%attr(755,root,root) %{_bindir}/idevicedebugserverproxy
%attr(755,root,root) %{_bindir}/idevicediagnostics
%attr(755,root,root) %{_bindir}/ideviceenterrecovery
%attr(755,root,root) %{_bindir}/ideviceimagemounter
%attr(755,root,root) %{_bindir}/ideviceinfo
%attr(755,root,root) %{_bindir}/idevicename
%attr(755,root,root) %{_bindir}/idevicenotificationproxy
%attr(755,root,root) %{_bindir}/idevicepair
%attr(755,root,root) %{_bindir}/ideviceprovision
%attr(755,root,root) %{_bindir}/idevicescreenshot
%attr(755,root,root) %{_bindir}/idevicesyslog
%attr(755,root,root) %{_libdir}/libimobiledevice.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libimobiledevice.so.6
%{_mandir}/man1/idevice_id.1*
%{_mandir}/man1/idevicebackup.1*
%{_mandir}/man1/idevicebackup2.1*
%{_mandir}/man1/idevicecrashreport.1*
%{_mandir}/man1/idevicedate.1*
%{_mandir}/man1/idevicedebug.1*
%{_mandir}/man1/idevicedebugserverproxy.1*
%{_mandir}/man1/idevicediagnostics.1*
%{_mandir}/man1/ideviceenterrecovery.1*
%{_mandir}/man1/ideviceimagemounter.1*
%{_mandir}/man1/ideviceinfo.1*
%{_mandir}/man1/idevicename.1*
%{_mandir}/man1/idevicenotificationproxy.1*
%{_mandir}/man1/idevicepair.1*
%{_mandir}/man1/ideviceprovision.1*
%{_mandir}/man1/idevicescreenshot.1*
%{_mandir}/man1/idevicesyslog.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libimobiledevice.so
%{_includedir}/libimobiledevice
%{_pkgconfigdir}/libimobiledevice-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libimobiledevice.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc docs/html/*

%if %{with cython}
%files -n python-imobiledevice
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/imobiledevice.so
%endif
%changelog
* Wed Apr 20 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libimobiledevice.git;a=log;h=master

* Wed Apr 20 2016 Jan Rękorajski <baggins@pld-linux.org> 551c962
- release 2 (by relup.sh)

* Fri Jan 22 2016 Jakub Bogusz <qboosh@pld-linux.org> ef114f6
- split -apidocs

* Fri Jan 22 2016 Jakub Bogusz <qboosh@pld-linux.org> bb67ab5
- updated dependencies wrt. new libplist split

* Wed Jan 20 2016 Elan Ruusamäe <glen@delfi.ee> 568ba3d
- up to 1.2.0 (stable)

* Wed Jan 20 2016 Elan Ruusamäe <glen@delfi.ee> 37db2be
- builds now

* Wed Jan 20 2016 Elan Ruusamäe <glen@delfi.ee> 37b051a
- BR python-plist, but still fails to find it

* Wed Jan 20 2016 Elan Ruusamäe <glen@delfi.ee> b73c3a0
- up to 1.1.6

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b124330
- release 3 (by relup.sh)

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> 7553d1d
- x32 rebuild
- release 2 (by relup.sh)

* Sun Sep 01 2013 Jakub Bogusz <qboosh@pld-linux.org> b0e585f
- updated to 1.1.5
- old cython patch obsolete; replaced by new one (needed at least with Cython 0.19.x)

* Thu Sep 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 038beca
- python version
- versioned install time dependencies

* Thu Sep 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 900a03c
- added cython patch to fix build with Cython 0.16 and 0.17

* Fri May 11 2012 Elan Ruusamäe <glen@pld-linux.org> d514612
- up to 1.1.4

* Thu Mar 29 2012 Elan Ruusamäe <glen@pld-linux.org> 42e766e
- up to 1.1.2:
  new soname
  swig based python bindings replaced with cython
  ssl support with openssl added (default on)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6be982f
- release 2

* Thu May 12 2011 Elan Ruusamäe <glen@pld-linux.org> 481c45a
- up to 1.1.1, new tool: idevicedate, also idevicebackup2

* Wed Apr 13 2011 Marcin Banasiak <marcin.banasiak@gmail.com> c432151
- removed libtool file
- release 2

* Wed Apr 06 2011 Łukasz Kieś <kiesiu@pld-linux.org> de1a937
- merged from DEVEL
- reviewed files section

* Sun Mar 27 2011 Elan Ruusamäe <glen@pld-linux.org> d4da4e3
- up to 1.0.6

* Sun Feb 13 2011 Szymon Siwek <sls@pld-linux.org> 3291c86
- bump BR: swig-python >= 2.0.0

